FROM alpine:3.20 AS builder

RUN apk --no-cache add make binutils gcc libc-dev automake autoconf curl
RUN curl -o /usr/local/lib/go.tar.gz https://dl.google.com/go/go1.25.5.linux-amd64.tar.gz
RUN cd /usr/local/lib && tar xzf go.tar.gz
RUN cd /usr/local/bin && ln -sf ../lib/go/bin/* .

WORKDIR /app/src/
COPY go.mod go.sum .
COPY . .

RUN ./configure --prefix=/app
RUN make all install
RUN make clean
RUN rm -rf /app/src

FROM alpine:3.20 AS runner

COPY --from=builder /app /app
RUN chmod 1777 /var
WORKDIR /app

#USER daemon:daemon
ENTRYPOINT ["/app/sbin/mstored"]
